package models;

import javax.persistence.*;

/**
 * Created by AFAL3D on 8/09/2016.
 */
@Entity
@Table(name = "usuario", schema = "persistencia", catalog = "")
public class UsuarioEntity {
    private byte codUsuario;
    private String nombre;
    private String clave;
    private EmpleadoEntity empleadoByCodUsuario;

    @Id
    @Column(name = "codUsuario")
    public byte getCodUsuario() {
        return codUsuario;
    }

    public void setCodUsuario(byte codUsuario) {
        this.codUsuario = codUsuario;
    }

    @Basic
    @Column(name = "nombre")
    public String getNombre() {
        return nombre;
    }

    public void setNombre(String nombre) {
        this.nombre = nombre;
    }

    @Basic
    @Column(name = "clave")
    public String getClave() {
        return clave;
    }

    public void setClave(String clave) {
        this.clave = clave;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;

        UsuarioEntity that = (UsuarioEntity) o;

        if (codUsuario != that.codUsuario) return false;
        if (nombre != null ? !nombre.equals(that.nombre) : that.nombre != null) return false;
        if (clave != null ? !clave.equals(that.clave) : that.clave != null) return false;

        return true;
    }

    @Override
    public int hashCode() {
        int result = (int) codUsuario;
        result = 31 * result + (nombre != null ? nombre.hashCode() : 0);
        result = 31 * result + (clave != null ? clave.hashCode() : 0);
        return result;
    }

    @OneToOne(mappedBy = "usuarioByCodEmpleado")
    public EmpleadoEntity getEmpleadoByCodUsuario() {
        return empleadoByCodUsuario;
    }

    public void setEmpleadoByCodUsuario(EmpleadoEntity empleadoByCodUsuario) {
        this.empleadoByCodUsuario = empleadoByCodUsuario;
    }
}
